Subject: bug#34177: smtpmail.el aborts on transient errors

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 16 Sep 2019 23:49:07 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> It's a bit difficult to test, though.  Does the following patch work for
> you?

I got no response, but I've tried to "manually" step through it, and the
patch seems to do its thing.  It's not asynchronous, though, but it
shouldn't make things worse for the normal case, and rewriting smtpmail
to be asynchronous is a major task.

So I applied the patch to Emacs 27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no